<?php

namespace App\Http\Controllers\Api\V1;

use App\Http\Controllers\Controller;
use App\Models\Bill;
use App\Models\Expense;
use App\Models\PurchaseOrder;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class StatsController extends Controller
{
    public function counts(Request $request) {
        if ($request->has("franchise_id")) {
            $orderCounts = Bill::query()->where('franchise_id', $request->franchise_id)->count();
            $poCounts = PurchaseOrder::query()->where('franchise_id', $request->franchise_id)->count();
            $expense = Expense::query()->where('franchise_id', $request->franchise_id)->count();

            $topRecipes = DB::table('recipes')
                ->join('bill_details', 'recipes.id', '=', 'bill_details.id')
                ->selectRaw('sum(bill_details.qty) as qty')
                ->where('franchise_id', $request->franchise_id)
                ->groupBy('recipes.name')
                ->orderByDesc('sum(bill_details.qty)')
                ->limit(5);

            return response([
                'orderCounts' => $orderCounts,
                'poCounts' => $poCounts,
                'expense' => $expense,
                'topRecipes' => $topRecipes,
            ]);
        }

    }
}
