<?php

namespace App\Http\Controllers\Api\V1;

use App\Http\Controllers\Controller;
use App\Http\Resources\TicketReplyResource;
use App\Models\TicketReply;
use Illuminate\Http\Request;

class TicketReplyController extends Controller
{
    public function index() {
        return TicketReplyResource::collection(TicketReply::all());
    }

    public function store(Request $request) {
        $data = $request->validate([
            'user_id' => ['required', 'exists:tickets'],
            'ticket_id' => ['required', 'exists:tickets'],
            'reply' => ['required'],
            'file' => ['required'],
        ]);

        return new TicketReplyResource(TicketReply::create($data));
    }

    public function show(TicketReply $ticketReply) {
        return new TicketReplyResource($ticketReply);
    }

    public function update(Request $request, TicketReply $ticketReply) {
        $data = $request->validate([
            'user_id' => ['required', 'exists:tickets'],
            'ticket_id' => ['required', 'exists:tickets'],
            'reply' => ['required'],
            'file' => ['required'],
        ]);

        $ticketReply->update($data);

        return new TicketReplyResource($ticketReply);
    }

    public function destroy(TicketReply $ticketReply) {
        $ticketReply->delete();

        return response()->json();
    }
}
