<?php

namespace App\Http\Requests\Auth;

use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Foundation\Http\FormRequest;

class RegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, ValidationRule|array|string>
     */
    public function rules(): array {
        return [
            'name' => 'required|string',
            'email' => 'required|string|unique:users,email',
            'mobile_no' => 'required|string',
            'role' => 'required|string',
            'password' => 'required|string',
            'password_confirmation' => 'required|same:password'
        ];
    }
}
