<?php

namespace App\Http\Requests\Franchises;

use Illuminate\Foundation\Http\FormRequest;

class StoreFranchiseRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            'master_franchise_id' => ['required'],
            'shop_name' => ['required'],
            'user_name' => ['required'],
            'email' => ['required', 'email', "unique:franchises,email", "unique:users,email", 'max:254'],
            'mobile' => ['required', "string"],
            'password' => ["required", "string", "confirmed"],
            'password_confirmation' => ["required"],
            'address' => ['nullable'],
            'landmark' => ['nullable'],
            'city' => ['required', "string"],
            'country' => ['required', "string"],
            'state' => ['nullable'],
            'pincode' => ['required', "string"],
            'gst' => ['nullable'],
            'cgst' => ['nullable'],
            'photo' => ['required', "file", "mimes:jpeg,png,jpg,gif", "max:2048"],
            'user_contact' => ['nullable'],
            'user_dob' => ['nullable'],
            'shop_opening_date' => ['nullable'],
            'franchise_amount' => ['nullable'],
            'master_commission_percent' => ['nullable'],
            'renewal_date' => ['nullable'],
            "role" => ["nullable", "string"],
            'is_master' => ['boolean'],
            'is_active' => ['boolean'],
            'is_approved' => ['boolean'],
        ];

        return $rules;

    }
}
