<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Attendance */
class AttendanceResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'date_time' => $this->date_time,
            'remark' => $this->remark,

            'user_id' => $this->user_id,
            'franchise_id' => $this->franchise_id,

            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
        ];
    }
}
