<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\BillDetail */
class BillDetailResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'qty' => $this->qty,
            'price' => $this->price,
            'total_amount' => $this->total_amount,

            'user_id' => $this->user_id,
            'bill_id' => $this->bill_id,
            'recipe_id' => $this->recipe_id,

            'bill' => new BillResource($this->whenLoaded('bill')),
            'recipe' => new RecipeResource($this->whenLoaded('recipe')),
        ];
    }
}
