<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Expense */
class ExpenseResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'name' => $this->name,
            'amount' => $this->amount,

            'expense_type_id' => $this->expense_type_id,
            'franchise_id' => $this->franchise_id,

            'expenseType' => new ExpenseTypeResource($this->whenLoaded('expenseType')),
            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
        ];
    }
}
