<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\ExpenseType */
class ExpenseTypeResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'name' => $this->name,

            'franchise_id' => $this->franchise_id,

            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
            'expenses' => ExpenseResource::collection($this->whenLoaded("expenses"))
        ];
    }
}
