<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Franchise */
class FranchiseResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'shop_name' => $this->shop_name,
            'user_name' => $this->user_name,
            'email' => $this->email,
            'mobile' => $this->mobile,
            'address' => $this->address,
            'landmark' => $this->landmark,
            'city' => $this->city,
            'country' => $this->country,
            'state' => $this->state,
            'pincode' => $this->pincode,
            'gst' => $this->gst,
            'cgst' => $this->cgst,
            'photo' => $this->photo,
            'user_contact' => $this->user_contact,
            'user_dob' => $this->user_dob,
            'shop_opening_date' => $this->shop_opening_date,
            'franchise_amount' => $this->franchise_amount,
            'master_commission_percent' => $this->master_commission_percent,
            'renewal_date' => $this->renewal_date,
            'is_master' => $this->is_master,
            'is_active' => $this->is_active,
            'is_approved' => $this->is_approved,

            'master_franchise_id' => $this->master_franchise_id,

            'master_franchise' => new MasterFranchiseResource($this->whenLoaded('masterFranchise')),
            'users' => UserResource::collection($this->whenLoaded("users")),
            'items' => ItemResource::collection($this->whenLoaded("items")),
            "purchase_orders" => PurchaseOrderResource::collection($this->whenLoaded("purchaseOrders"))
        ];
    }
}
