<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\ParcelDetail */
class ParcelDetailResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'qty' => $this->qty,

            'bill_id' => $this->bill_id,
            'item_id' => $this->item_id,

            'bill' => new BillResource($this->whenLoaded('bill')),
            'item' => new ItemResource($this->whenLoaded('item')),
        ];
    }
}
