<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\PurchaseOrderDetail */
class PurchaseOrderDetailResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'qty' => $this->qty,
            'price' => $this->price,

            'purchase_order_id' => $this->purchase_order_id,
            'item_id' => $this->item_id,

            'purchaseOrder' => new PurchaseOrderResource($this->whenLoaded('purchaseOrder')),
            'item' => new ItemResource($this->whenLoaded('item')),
        ];
    }
}
