<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\PurchaseOrder */
class PurchaseOrderResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'vendor_name' => $this->vendor_name,
            'total' => $this->total,
            'date' => $this->date,
            'type' => $this->type,
            'paid_date' => $this->paid_date,
            'is_paid' => $this->is_paid,

            'franchise_id' => $this->franchise_id,

            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
            'purchase_order_details' => PurchaseOrderDetailResource::collection($this->whenLoaded("purchaseOrderDetails"))
        ];
    }
}
