<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\RecipeDetail */
class RecipeDetailResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'qty' => $this->qty,

            'recipe_id' => $this->recipe_id,
            'item_id' => $this->item_id,

            'recipe' => new RecipeResource($this->whenLoaded('recipe')),
            'item' => new ItemResource($this->whenLoaded('item')),
        ];
    }
}
