<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Table */
class TableResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'name' => $this->name,
            'status' => $this->status,

            'franchise_id' => $this->franchise_id,
            'master_franchise_id' => $this->master_franchise_id,

            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
            'masterFranchise' => new MasterFranchiseResource($this->whenLoaded('masterFranchise')),
        ];
    }
}
