<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Ticket */
class TicketResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'subject' => $this->subject,
            'message' => $this->message,
            'file' => $this->file,
            'resolved_date' => $this->resolved_date,
            'remarks' => $this->remarks,

            'user_id' => $this->user_id,
            'franchise_id' => $this->franchise_id,

            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
        ];
    }
}
