<?php

namespace App\Http\Traits;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

trait HasStoreFile
{

    public function deleteFile(null|string $folderPath, null|string $fileName, string $disk = "public"): void {
        $filePath = $folderPath."/".$fileName;

        // delete the file if it exists in the disk
        if (Storage::disk($disk)->exists($filePath)) {
            Storage::disk($disk)->delete($filePath);
        }
    }

    public function storeFile(
        Request $request,
        null|string $field,
        string $folderPath = null,
        $disk = "public"
    ): string {
        // get file from request
        $file = $request->file($field);

        // generate file name
        $name = time().$file->hashName();

        // store the file
        $file->storeAs($folderPath !== null ? $folderPath : $field, $name, $disk);
        return $name;
    }
}
