<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Attendance extends Model
{
    use HasFactory, Searchable, Filterable;

    protected $fillable = [
        'user_id',
        'franchise_id',
        'date_time',
        'remark',
    ];

    protected array $searchableFields = [];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }
}
