<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class BillDetail extends Model
{
    use HasFactory, Searchable, Filterable;

    protected $fillable = [
        'user_id',
        'bill_id',
        'recipe_id',
        'qty',
        'price',
        'total_amount',
    ];

    protected array $searchableFields = [];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }

    public function bill(): BelongsTo {
        return $this->belongsTo(Bill::class);
    }

    public function recipe(): BelongsTo {
        return $this->belongsTo(Recipe::class);
    }
}
