<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Expense extends Model
{
    use HasFactory, Searchable, Filterable;

    protected $fillable = [
        'expense_type_id',
        'franchise_id',
        'name',
        'amount',
    ];

    protected array $searchableFields = [];

    public function expenseType(): BelongsTo {
        return $this->belongsTo(ExpenseType::class);
    }

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }
}
