<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class ExpenseType extends Model
{
    use HasFactory, Searchable, Filterable, Searchable;

    protected $fillable = [
        'franchise_id',
        'name',
    ];

    protected array $searchableFields = [];

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }

    public function expenses(): HasMany {
        return $this->hasMany(Expense::class);
    }
}
