<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class MasterFranchise extends Model
{
    use HasFactory, Searchable, Filterable;

    protected $fillable = [
        'name',
        'email',
        'phone',
    ];

    protected array $searchableFields = [];

    public function user(): HasOne {
        return $this->hasOne(User::class, "master_franchise_id");
    }
}
