<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ParcelDetail extends Model
{
    use HasFactory, Searchable, Filterable;

    protected $fillable = [
        'bill_id',
        'item_id',
        'qty',
    ];

    protected array $searchableFields = [];

    public function bill(): BelongsTo {
        return $this->belongsTo(Bill::class);
    }

    public function item(): BelongsTo {
        return $this->belongsTo(Item::class);
    }
}
