<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class PaymentType extends Model
{
    use HasFactory, Filterable, Searchable;

    protected $fillable = [
        'franchise_id',
        'payment_type',
    ];

    protected array $searchableFields = [];

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }
}
