<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class PurchaseOrder extends Model
{
    use HasFactory, Filterable, Searchable;

    protected $fillable = [
        'franchise_id',
        'vendor_name',
        'total',
        'date',
        'type',
        'paid_date',
        'is_paid',
    ];

    protected array $searchableFields = [];

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }

    public function purchaseOrderDetails(): HasMany {
        return $this->hasMany(PurchaseOrderDetail::class);
    }
}
