<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class PurchaseOrderDetail extends Model
{
    use HasFactory, Searchable, Filterable;

    protected $fillable = [
        'purchase_order_id',
        'item_id',
        'qty',
        'price',
    ];

    protected array $searchableFields = [];

    public function purchaseOrder(): BelongsTo {
        return $this->belongsTo(PurchaseOrder::class);
    }

    public function item(): BelongsTo {
        return $this->belongsTo(Item::class);
    }
}
