<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Recipe extends Model
{
    use HasFactory, Searchable, Filterable;

    protected $fillable = [
        'franchise_id',
        'name',
        'price',
        'gst',
    ];

    protected array $searchableFields = [];

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }

    public function recipeDetails(): HasMany {
        return $this->hasMany(RecipeDetail::class);
    }
}
