<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class RecipeDetail extends Model
{
    use HasFactory, Filterable, Searchable;

    protected $fillable = [
        'recipe_id',
        'item_id',
        'qty',
    ];

    protected array $searchableFields = [];

    public function recipe(): BelongsTo {
        return $this->belongsTo(Recipe::class);
    }

    public function item(): BelongsTo {
        return $this->belongsTo(Item::class);
    }
}
