<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Support extends Model
{
    use HasFactory, Filterable, Searchable;

    protected $fillable = [
        'subject',
        'remarks',
        'image',
        'user_id',
    ];

    protected array $searchableFields = [];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
