<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Table extends Model
{
    use SoftDeletes, HasFactory, Filterable, Searchable;

    protected $fillable = [
        'franchise_id',
        'master_franchise_id',
        'name',
        'status',
    ];

    protected array $searchableFields = [];

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }

    public function masterFranchise(): BelongsTo {
        return $this->belongsTo(MasterFranchise::class);
    }
}
