<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use App\Http\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Ticket extends Model
{
    use HasFactory, Filterable, Searchable;

    protected $fillable = [
        'user_id',
        'franchise_id',
        'subject',
        'message',
        'file',
        'resolved_date',
        'remarks',
    ];

    protected array $searchableFields = [];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }
}
