<?php

namespace Database\Factories;

use App\Models\Bill;
use App\Models\BillDetail;
use App\Models\Recipe;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class BillDetailFactory extends Factory
{
    protected $model = BillDetail::class;

    public function definition(): array {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'qty' => $this->faker->word(),
            'price' => $this->faker->randomNumber(),
            'total_amount' => $this->faker->randomNumber(),

            'user_id' => User::factory(),
            'bill_id' => Bill::factory(),
            'recipe_id' => Recipe::factory(),
        ];
    }
}
