<?php

namespace Database\Factories;

use App\Models\Bill;
use App\Models\Franchise;
use App\Models\OrderSource;
use App\Models\PaymentType;
use App\Models\Table;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class BillFactory extends Factory
{
    protected $model = Bill::class;

    public function definition(): array {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'amount' => $this->faker->word(),
            'discount' => $this->faker->word(),
            'gst' => $this->faker->word(),
            'is_parcel' => $this->faker->boolean(),
            'is_active' => $this->faker->boolean(),

            'user_id' => User::factory(),
            'franchise_id' => Franchise::factory(),
            'payment_type_id' => PaymentType::factory(),
            'order_source_id' => OrderSource::factory(),
            'table_id' => Table::factory(),
        ];
    }
}
