<?php

namespace Database\Factories;

use App\Models\Franchise;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class FranchiseFactory extends Factory
{
    protected $model = Franchise::class;

    public function definition(): array {
        return [
            'user_name' => $this->faker->userName(),
            'email' => $this->faker->unique()->safeEmail(),
            'mobile' => $this->faker->phoneNumber(),
            'address' => $this->faker->address(),
            'landmark' => $this->faker->word(),
            'city' => $this->faker->city(),
            'country' => $this->faker->country(),
            'state' => $this->faker->word(),
            'pincode' => $this->faker->word(),
            'gst' => $this->faker->numberBetween(10000000, 99999999),
            'cgst' => $this->faker->numberBetween(10000000, 99999999),
            'user_contact' => $this->faker->phoneNumber(),
            'user_dob' => Carbon::now()->format("d-m-Y"),
            'shop_opening_date' => Carbon::now()->format("d-m-Y"),
            'franchise_amount' => $this->faker->numberBetween(100000, 1000000),
            'master_commission_percent' => $this->faker->numberBetween(10, 20),
            'renewal_date' => $this->faker->word(),
            'is_master' => false,
            'is_active' => true,
            'is_approved' => true,
        ];
    }
}
