<?php

namespace Database\Factories;

use App\Models\Franchise;
use App\Models\PurchaseOrder;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class PurchaseOrderFactory extends Factory
{
    protected $model = PurchaseOrder::class;

    public function definition(): array {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'vendor_name' => $this->faker->name(),
            'total' => $this->faker->word(),
            'date' => $this->faker->word(),
            'type' => $this->faker->word(),
            'paid_date' => $this->faker->word(),
            'is_paid' => $this->faker->boolean(),

            'franchise_id' => Franchise::factory(),
        ];
    }
}
