<?php

namespace Database\Factories;

use App\Models\Franchise;
use App\Models\Ticket;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class TicketFactory extends Factory
{
    protected $model = Ticket::class;

    public function definition(): array {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'subject' => $this->faker->word(),
            'message' => $this->faker->word(),
            'file' => $this->faker->word(),
            'resolved_date' => $this->faker->word(),
            'remarks' => $this->faker->word(),

            'user_id' => User::factory(),
            'franchise_id' => Franchise::factory(),
        ];
    }
}
