<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('franchises', function (Blueprint $table) {
            $table->id();
            $table->foreignId('master_franchise_id')->nullable()
                ->constrained('master_franchises')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('shop_name')->nullable();
            $table->string('user_name')->nullable();
            $table->string('email')->nullable();
            $table->string('mobile')->nullable();
            $table->string('address')->nullable();
            $table->string('landmark')->nullable();
            $table->string('city')->nullable();
            $table->string('country')->nullable();
            $table->string('state')->nullable();
            $table->string('pincode')->nullable();
            $table->string('gst')->nullable();
            $table->string('cgst')->nullable();
            $table->string('photo')->nullable();
            $table->string('user_contact')->nullable();
            $table->string('user_dob')->nullable();
            $table->string('shop_opening_date')->nullable();
            $table->string('franchise_amount')->nullable();
            $table->string('master_commission_percent')->nullable();
            $table->string('renewal_date')->nullable();
            $table->boolean('is_master')->default(false);
            $table->boolean('is_active')->default(false);
            $table->boolean('is_approved')->default(false);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('franchises');
    }
};
