<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('attendances', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->nullable()
                ->constrained("users")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('franchise_id')->nullable()
                ->constrained("franchises")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('date_time')->nullable();
            $table->string('remark')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('attendances');
    }
};
