<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('purchase_orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('franchise_id')->nullable()
                ->constrained("franchises")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('vendor_name')->nullable();
            $table->string('total')->nullable();
            $table->string('date')->nullable();
            $table->string('type')->nullable();
            $table->string('paid_date')->nullable();
            $table->boolean('is_paid')->default(false);
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('purchase_orders');
    }
};
