<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('recipe_details', function (Blueprint $table) {
            $table->id();
            $table->foreignId('recipe_id')->nullable()
                ->constrained('recipes')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('item_id')->nullable()
                ->constrained('items')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('qty')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('recipe_details');
    }
};
