<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('ticket_replies', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')
                ->constrained('users')
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('ticket_id')
                ->constrained('tickets')
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->text('reply')->nullable();
            $table->string('file')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('ticket_replies');
    }
};
