<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('bills', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->nullable()
                ->constrained('users')
                ->cascadeOnUpdate()->cascadeOnDelete();
            
            $table->foreignId('franchise_id')->nullable()
                ->constrained('franchises')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('payment_type_id')->nullable()
                ->constrained('payment_types')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('order_source_id')->nullable()
                ->constrained('order_sources')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('table_id')->nullable()
                ->constrained('tables')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('amount')->nullable();
            $table->string('discount')->nullable();
            $table->string('gst')->nullable();
            $table->boolean('is_parcel')->default(false);
            $table->boolean('is_active')->default(false);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('bills');
    }
};
