<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('bill_details', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->nullable()
                ->constrained('users')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('bill_id')->nullable()
                ->constrained('bills')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('recipe_id')->nullable()
                ->constrained('recipes')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('qty')->nullable();
            $table->integer('price')->nullable();
            $table->integer('total_amount')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('bill_details');
    }
};
