<?php

use App\Http\Controllers\Api\V1\AttendanceController;
use App\Http\Controllers\Api\V1\AuthController;
use App\Http\Controllers\Api\V1\BillController;
use App\Http\Controllers\Api\V1\ExpenseController;
use App\Http\Controllers\Api\V1\ExpenseTypeController;
use App\Http\Controllers\Api\V1\FranchiseController;
use App\Http\Controllers\Api\V1\ItemController;
use App\Http\Controllers\Api\V1\MasterFranchiseController;
use App\Http\Controllers\Api\V1\OrderSourceController;
use App\Http\Controllers\Api\V1\PaymentTypeController;
use App\Http\Controllers\Api\V1\PurchaseOrderController;
use App\Http\Controllers\Api\V1\RecipeController;
use App\Http\Controllers\Api\V1\StatsController;
use App\Http\Controllers\Api\V1\TableController;
use App\Http\Controllers\Api\V1\UserController;
use Illuminate\Support\Facades\Route;

Route::prefix('v1')->group(function () {
    Route::post('register', [AuthController::class, 'register']);
    Route::post('login', [AuthController::class, 'login']);
    Route::post('forget-password', [AuthController::class, 'forgetPassword']);
    Route::post('update-password', [AuthController::class, 'updatePassword']);

    Route::middleware("auth:sanctum")
        ->namespace("App\Http\Controllers\Api\V1")
        ->group(function () {
            Route::apiResource("franchise-masters", MasterFranchiseController::class);
            Route::apiResource("franchises", FranchiseController::class);
            Route::apiResource("users", UserController::class);
            Route::apiResource("items", ItemController::class);
            Route::apiResource("expense-types", ExpenseTypeController::class);
            Route::apiResource("expenses", ExpenseController::class);
            Route::apiResource("table", TableController::class);
            Route::apiResource("order-sources", OrderSourceController::class);
            Route::apiResource("payment-types", PaymentTypeController::class);
            Route::apiResource("purchase-orders", PurchaseOrderController::class);
            Route::apiResource("recipes", RecipeController::class);
            Route::apiResource("attendances", AttendanceController::class);
            Route::apiResource("bills", BillController::class);

            Route::get("counts", [StatsController::class, "counts"]);
            Route::post("offline-bills", [BillController::class, "offlineBills"]);
        });
});
